# eth\_signTransaction

**Note:** Krypc does not support the **eth\_signTransaction** RPC method

1. **Parameters**

* **Object** array- The transaction response object which contains the following fields:
  * <mark style="color:blue;">from</mark> The address the transaction is sent from&#x20;
  * <mark style="color:blue;">to</mark> (optional for contract creation) The address the transaction is directed to&#x20;
  * <mark style="color:blue;">gas</mark> (default: 90000) The integer of the gas provided for the transaction execution&#x20;
  * <mark style="color:blue;">gasPrice</mark> The integer of the gasPrice used for each paid gas, in wei&#x20;
  * <mark style="color:blue;">value</mark> The integer of the value sent with this transaction, in wei&#x20;
  * <mark style="color:blue;">data</mark> The compiled code of a contract or the hash of the invoked method signature and encoded parameters&#x20;
  * <mark style="color:blue;">nonce</mark> The integer of a nonce. This allows overwriting the own pending transactions that use the same nonce

```json
Not supported by Krypc!
```

2. Returns- The signed transaction object


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_signtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
